<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

if(!isset($_GET['id']))exit('Не верная ссылка');
$id=(int)$_GET['id'];
$ank=get_user($id);
if(!$ank){header("Location: /index.php?".SID);exit;}

if(!$ank['in_birja'])exit("Пользователь не участвует в бирже питомцев.");

$procent=70;	//Процент, от стоимости питомца, получаемый, если его отпускаешь.

	//Вычисляем общую стоимость питомника---
	$all_cost=0;
	$res=mysql_query("SELECT SUM(birja_cost) AS all_cost FROM user WHERE birja_hozyain='".$ank['id']."' AND in_birja='1';");
	if($row=mysql_fetch_assoc($res))
	{
	$all_cost=$row['all_cost'];	
	}
	//--------------------------------------

	//Кол-во питомцев----
	$res=mysql_query("SELECT COUNT(*) AS cnt FROM user WHERE birja_hozyain='".$ank['id']."' AND in_birja='1';");
	if($row=mysql_fetch_assoc($res))$kolvo_pitomcev=$row['cnt'];else $kolvo_pitomcev=0;
	
	//Получаем список питомцев-----------
	$pitomci=Array();
	$res=mysql_query("SELECT id,birja_cost,nick FROM user WHERE birja_hozyain='".$ank['id']."' AND in_birja='1';");
	while($row=mysql_fetch_assoc($res))
	{
	$row['birja_procent']=round($row['birja_cost']*$procent/100);
	$pitomci[$row['id']]=$row;
	}
	//------------------------------------
	
	//Отпускаем питомца---------
	if($user['id']==$ank['id'] AND isset($_GET['free']) AND isset($pitomci[$_GET['free']]))
	{
	$pitomec=(int)$_GET['free'];
	mysql_query("UPDATE user SET birja_hozyain='0' WHERE id='$pitomec' AND birja_hozyain='".$user['id']."';");
	
		//Уведомляем питомца, что его отпустили----------
		$msg=$user['nick']." отпустил вас из своего питомника.";
		mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '$pitomec', '$msg', '$time')");
		//-----------------------------------------------
	
		//Перечисляем хозяину процент от питомца--
		$money=$pitomci[$pitomec]['birja_procent'];
		mysql_query("UPDATE user SET balls=balls+$money WHERE id='".$user['id']."';");
		//-----------------------------------------
		
	header("location:pitomnik.php?id=".$ank['id']);
	exit;
	}
	//--------------------------
	
	//Сбор дани------------------
	if(isset($_GET['get_dan']) AND $user['id']==$ank['id'] AND $user['birja_last_dan']<time()-24*3600)
	{
	$procent_dani=5;
	$add_kolvo=round($all_cost*$procent_dani/100);
	mysql_query("UPDATE user SET balls=balls+$add_kolvo, birja_last_dan=UNIX_TIMESTAMP() WHERE id='".$user['id']."';");
	header("location:pitomnik.php?id=".$ank['id']);
	exit;
	}
	//---------------------------

	

$set['title']='Питомник пользователя '.$ank['nick'];
include_once 'sys/inc/thead.php';
title();
err();
aut();
?>
<div>
<b>Стоимость питомника:</b> <?=$all_cost?><br />
<b>Всего питомцев:</b> <?=$kolvo_pitomcev?><br />
<?if($user['id']==$ank['id'] AND $user['birja_last_dan']<time()-24*3600):?><a href="?id=<?=$id?>&amp;get_dan">Собрать дань</a><br /><?endif?>
<b>Мои питомцы:</b><br />
<?foreach($pitomci AS $key=>$val):?>
<?=avatar5($val['id'])?><a href="/info.php?id=<?=$val['id']?>"><?=$val['nick']?></a> [<?=$val['birja_cost']?> баллов.]
<?if($user['id']==$ank['id']):?>[<a href="?id=<?=$ank['id']?>&amp;free=<?=$val['id']?>">Отпустить</a> +<?=$val['birja_procent']?> баллов ]<?endif?>
<br />
<?endforeach?>
</div>
<?
include_once 'sys/inc/tfoot.php';
?>